Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 710386 - dev-python/pickleshare-0.7.5 version bump
Summary: dev-python/pickleshare-0.7.5 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2020-02-21 11:00 UTC by Jason Chan
Modified: 2020-03-28 12:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Chan 2020-02-21 11:00:28 UTC
Tested on ~amd64, Python 3.{7,8}.

---

--- pickleshare-0.7.4-r1.ebuild
+++ pickleshare-0.7.5.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
 
 inherit distutils-r1
 
@@ -23,8 +23,6 @@ RDEPEND="
 DEPEND="${RDEPEND}
        test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
 
-RESTRICT="test"
-
 python_test() {
-       py.test || die
+       py.test -v || die
 }
 

Reproducible: Always

Actual Results:  
 * python3_7: running distutils-r1_run_phase python_test
================================================ test session starts ================================================
platform linux -- Python 3.7.6, pytest-5.3.5, py-1.8.0, pluggy-0.13.1 -- /usr/bin/python3.7
cachedir: .pytest_cache
rootdir: /var/tmp/portage/dev-python/pickleshare-0.7.5/work/pickleshare-0.7.5
plugins: forked-1.1.3, xdist-1.31.0, localserver-0.5.0
collecting ... collected 2 items

test_pickleshare.py::test_pickleshare PASSED                                                                  [ 50%]
test_pickleshare.py::test_stress PASSED                                                                       [100%]

================================================ 2 passed in 43.50s =================================================
 * python3_8: running distutils-r1_run_phase python_test
================================================ test session starts ================================================
platform linux -- Python 3.8.1, pytest-5.3.5, py-1.8.0, pluggy-0.13.1 -- /usr/bin/python3.8
cachedir: .pytest_cache
rootdir: /var/tmp/portage/dev-python/pickleshare-0.7.5/work/pickleshare-0.7.5
plugins: forked-1.1.3, xdist-1.31.0, localserver-0.5.0
collecting ... collected 2 items

test_pickleshare.py::test_pickleshare PASSED                                                                  [ 50%]
test_pickleshare.py::test_stress PASSED                                                                       [100%]

================================================ 2 passed in 43.24s =================================================
 * python3_7: running distutils-r1_run_phase _distutils-r1_clean_egg_info
 * python3_8: running distutils-r1_run_phase _distutils-r1_clean_egg_info